## org.apache.commons.math3.geometry.partitioning
Class BoundaryAttribute<S extends Space>

    java.lang.Object
      org.apache.commons.math3.geometry.partitioning.BoundaryAttribute<S>

Type Parameters:
  `S` - Type of the space.

    public class BoundaryAttribute<S extends Space>

extends java.lang.Object

Class holding boundary attributes.

This class is used for the attributes associated with the nodes of region boundary shell trees returned by the `Region.getTree`. It contains the parts of the node cut sub-hyperplane that belong to the boundary.

This class is a simple placeholder, it does not provide any processing methods.

Since:
  3.0
Version:
  $Id: BoundaryAttribute.java 1416643 2012-12-03 19:37:14Z tn $
See Also:
  `Region.getTree(boolean)`

Field Summary
`private SubHyperplane<S>` `plusInside` Part of the node cut sub-hyperplane that belongs to the boundary and has the inside of the region on the plus side of its underlying hyperplane (may be null).
`private SubHyperplane<S>` `plusOutside` Part of the node cut sub-hyperplane that belongs to the boundary and has the outside of the region on the plus side of its underlying hyperplane (may be null).

Constructor Summary
`BoundaryAttribute(SubHyperplane<S> plusOutside, SubHyperplane<S> plusInside)` Simple constructor.

Method Summary
`SubHyperplane<S>` `getPlusInside()` Get the part of the node cut sub-hyperplane that belongs to the boundary and has the inside of the region on the plus side of its underlying hyperplane.
`SubHyperplane<S>` `getPlusOutside()` Get the part of the node cut sub-hyperplane that belongs to the boundary and has the outside of the region on the plus side of its underlying hyperplane.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### plusOutside

    private final SubHyperplane<S extends Space> plusOutside

  Part of the node cut sub-hyperplane that belongs to the boundary and has the outside of the region on the plus side of its underlying hyperplane (may be null).

### plusInside

    private final SubHyperplane<S extends Space> plusInside

  Part of the node cut sub-hyperplane that belongs to the boundary and has the inside of the region on the plus side of its underlying hyperplane (may be null).

Constructor Detail

### BoundaryAttribute

    public BoundaryAttribute(SubHyperplane<S> plusOutside,
                             SubHyperplane<S> plusInside)

  Simple constructor.

  Parameters:
    `plusOutside` - part of the node cut sub-hyperplane that belongs to the boundary and has the outside of the region on the plus side of its underlying hyperplane (may be null)
    `plusInside` - part of the node cut sub-hyperplane that belongs to the boundary and has the inside of the region on the plus side of its underlying hyperplane (may be null)

Method Detail

### getPlusOutside

    public SubHyperplane<S> getPlusOutside()

  Get the part of the node cut sub-hyperplane that belongs to the boundary and has the outside of the region on the plus side of its underlying hyperplane.

  Returns:
    part of the node cut sub-hyperplane that belongs to the boundary and has the outside of the region on the plus side of its underlying hyperplane

### getPlusInside

    public SubHyperplane<S> getPlusInside()

  Get the part of the node cut sub-hyperplane that belongs to the boundary and has the inside of the region on the plus side of its underlying hyperplane.

  Returns:
    part of the node cut sub-hyperplane that belongs to the boundary and has the inside of the region on the plus side of its underlying hyperplane

Copyright (c) 2003-2013 Apache Software Foundation